<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class CreateTblDistrictMaster extends Migration
{
    public function up()
    {
        $this->forge->addField([
            'District_code' => [
                'type'       => 'INT',
                'constraint' => 200,
            ],
            'State_code' => [
                'type'       => 'INT',
                'constraint' => 200,
            ],
            'District_Name' => [
                'type'       => 'VARCHAR',
                'constraint' => 200,
            ],
        ]);

        $this->forge->createTable('tbl_district_master', true);
    }

    public function down()
    {
        $this->forge->dropTable('tbl_district_master');
    }
}
